Package net.commoble.exmachina.api

# Record Class Channel.Single

java.lang.Object
java.lang.Record
net.commoble.exmachina.api.Channel.Single

Record Components:
  `color` - DyeColor of this channel

All Implemented Interfaces:
  `Channel`

Enclosing interface:
  `Channel`

public static record Channel.Single(net.minecraft.world.item.DyeColor color) extends Record implements Channel
Single channels represent one of the sixteen-color digital channels

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.commoble.exmachina.api.Channel

`Channel.Redstone, Channel.Single`

## Field Summary

### Fields inherited from interface net.commoble.exmachina.api.Channel

`ALL, CODEC, EXPANDED_SINGLES, SIXTEEN_COLORS`

## Constructor Summary

Constructors
Constructor
Description
`Single(net.minecraft.world.item.DyeColor color)`
Creates an instance of a `Single` record class.

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.DyeColor`
`color()`
Returns the value of the `color` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`Set<Channel>`
`getConnectableChannels()`
Returns Set of Channels this channel can connect to.
`final int`
`hashCode()`
Returns a hash code value for this object.
`String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Single

public Single(net.minecraft.world.item.DyeColor color)
Creates an instance of a `Single` record class.

Parameters:
  `color` - the value for the `color` record component

## Method Details

### getConnectableChannels

public Set<Channel> getConnectableChannels()
Description copied from interface: `Channel`
Returns Set of Channels this channel can connect to.

Specified by:
  `getConnectableChannels` in interface `Channel`
Returns:
  Set of Channels this channel can connect to

### toString

public String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### color

public net.minecraft.world.item.DyeColor color()
Returns the value of the `color` record component.

Returns:
  the value of the `color` record component